apiVersion: v1
items:
- apiVersion: keycloak.org/v1alpha1
  kind: Keycloak
  metadata:
    creationTimestamp: "2023-03-02T16:24:47Z"
    generation: 1
    labels:
      app: sso
    name: rhsso
    namespace: rh-sso
    resourceVersion: "1060631770"
    uid: e226a792-585d-4ec8-a4df-7ea02c4fe53b
  spec:
    externalAccess:
      enabled: true
    instances: 2
    keycloakDeploymentSpec:
      experimental:
        env:
        - name: JAVA_TOOL_OPTIONS
          value: -Dcom.redhat.fips=false
      imagePullPolicy: Always
    multiAvailablityZones:
      enabled: true
    podDisruptionBudget:
      enabled: true
    postgresDeploymentSpec:
      imagePullPolicy: Always
    profile: RHSSO
    storageClassName: ocs-storagecluster-ceph-rbd
  status:
    credentialSecret: credential-rhsso
    externalURL: https://keycloak-rh-sso.apps.utin-ocp-web.caas.apps.mil
    internalURL: https://keycloak.rh-sso.svc:8443
    message: ""
    phase: initialising
    ready: false
    secondaryResources:
      ConfigMap:
      - keycloak-probes
      Deployment:
      - keycloak-postgresql
      PersistentVolumeClaim:
      - keycloak-postgresql-claim
      PodDisruptionBudget:
      - keycloak
      PrometheusRule:
      - keycloak
      Route:
      - keycloak
      - keycloak-metrics-rewrite
      Secret:
      - credential-rhsso
      - keycloak-db-secret
      Service:
      - keycloak-postgresql
      - keycloak
      - keycloak-discovery
      - keycloak-monitoring
      ServiceMonitor:
      - keycloak-service-monitor
      StatefulSet:
      - keycloak
    version: main
kind: List
metadata:
  resourceVersion: ""
